#!/usr/bin/perl

# Ripserve allsingingsubs.pl, by Dave Power and others
# Copyright Ripserve Ltd 2000
# Released under the GNU general public liscence
# No warranties implied!
# You may freely copy and mofify this script
# Please send bugfixes and/or new features to gpl@ripserve.com
# Check http://ripserve.com/gpl/ for newer versions
# Version 1.01 released Jul 3 2000

# Description: A simple perl script to edit text files, such as
# server-side includes. Allows a user to preview HTML formatting in their
# browser before saving changes. Dangerous tags can be filtered.

# Variables:

# require is the path on the server to allsingingsubs.pl

# $myfile is the path of the file to edit. The file should be writable by
# the user that runs allsingingsubs.pl.

# $myscript is the url of this config script. 

# $base is the base url links should work from in preview mode. Set this up
# to control relative links.

# $bg_img is a background image for the edit page. Corporate identity lives!

# $man_edit is the text that appears on the edit page.

# $man_view is the text that appears on the preview page.

# @valid_tags define which tags are allowed to be saved. This security
# feature is designed to prevent rogue users from writing malicious PHP
# or SSI code. Can you say <?php require "/etc/passwd" php?> Edit this to
# allow users to write their own <TABLE>s etc. Add tags using capitals.

# Begin variables
#---------------------------------------------------------------------------

require "/home/httpd/cgi-bin/allsingingsubs.pl";
$myfile   = "/home/httpd/html/hosts/www.brandx.com/includes/bio.txt";
$myscript = "http://ripserve.com/cgi-bin/adm_brand/conf.pl";
$base     = "http://brandx.com/about";
$bg_img   = "http://ripserve.com/media/gif/bg.gif";
$man_edit = "<font size=4 face=Verdana>AllSingingSubs 1.0:</font><font size=2
face=Verdana><br><br> Edit your file, then click Preview to see your
changes. You can use certain HTML tags. &lt;B&gt;<b>your text here</
b>&lt;/B&gt; for example, makes the text bold.<a
href=\"mailto:help\@ripserve.com\">Contact us</a> for help.<\/font><br><br>";
$man_view = "<font size=4 face=Verdana>Preview:</font><p><font size=2
face=Verdana>You can see your changes here. Check the links work and
everything you thought would be bold actually is. To save your changes
press Save. Press Cancel to go back and make otherchanges, or to undo the
changes you have made.<br><br><font size=1>Program copyright Ripserve
2000.<\/font><BR><BR>";
@valid_tags = ("A","B","BR","FONT","HR","P","I");
 
#---------------------------------------------------------------------------
# End variables

&process_form;
